//
//  GameScene.h
//  RedCore2
//
//  Created by Gabriel Capella on 31/05/17.
//
//

#ifndef GameScene_h
#define GameScene_h

#include "cocos2d.h"

class GameScene : public cocos2d::Layer {
    public:
        static cocos2d::Scene* createScene(int level);
        virtual bool init();
        bool onContactBegin(cocos2d::PhysicsContact& contact);
        CREATE_FUNC(GameScene);
        void setLevel(int level);
    private:
        void caseBallCollision (cocos2d::Node *ball);
        void caseBallCore (cocos2d::Node *core, cocos2d::Node *ball);
        void caseSaveLevel(Node *powerup_ball);
        void NextLevel(cocos2d::Ref *pSender);
        void saveLevel();
        void tripleBallsAppearance();
        void caseTripleBalls(Node *powerup_ball);
        void raqueteBallAppearance();
        void caseRaqueteBall(Node *powerup_ball);
        int level;
        bool over; // salva se o jogo acabou!
        int ball_count; // numero de bolas em jogo
        cocos2d::DrawNode * raquete;
        int raquete_size; // tamanho atual da raquete
};


#endif /* GameScene_h */
